<?
# Galeras II - DMI-Gal rewrite from scratch
# Defaukt config file
# gal-defaults.inc 
# Derechos Reservados (c) 2003 Sandino Araico Snchez
# Derechos Reservados (c) 2003 Presidencia de la Repblica
# Copyright (c) 2003 Sandino Araico Snchez All rights reserved
/*
 * --COMIENZA LICENCIA EN ESPAOL MEXICANO-------------------------------------
 * Por ste medio se otroga permiso, libre de cargo, a cualquier persona que
 * obtenga una copia de este software y archivos de documentacin asociados
 * (el "Software"), a utilizar el Software sin restriccin, incluyendo sin 
 * limitacin los derechos de usar, copiar, modificar, unir, publicar, 
 * distribuir y/o vender copias de el Software, y permitir lo mismo a personas 
 * a quienes les sea entregado el software, siempre y cuando los avisos de 
 * Derechos reservados y Copyright que aparecen arriba y ste permiso (en 
 * espaol y en ingls) aparezcan en todas las copias de el Software y que 
 * tanto los avisos de Derechos reservados y Copyright que aparecen arriba como
 * ste permiso (en espaol y en ingls) aparezcan en la documentacin de
 * soporte.
 *
 * ESTE SOFTWARE SE PROVEE "TAL CUAL", SIN NINGUNA GARANTA DE NINGN TIPO,
 * EXPRESA O IMPLCITA, INCLUYENDO PERO NO LIMITNDOSE A LAS GARANTAS DE
 * MERCANTIBILIDAD, ADECUACIN PARA UN PROPSITO EN PARTICULAR Y NO 
 * INFRACCIN DE LOS DERECHOS DE TERCERAS PARTES. EN NINGN MOMENTO EL O LOS 
 * TITULARES DE LOS DERECHOS DE AUTOR Y COPYRIGHT INCLUIDOS EN ESTE AVISO SERN
 * RESPONSABLES POR CUALQUIER RECLAMACIN O POR CUALQUIER DAO ESPECIAL,
 * INDIRECTO O CONSECUENTE, O CUALQUIER DAO QUE RESULTE DE LA PRDIDA DE USO,
 * DATOS O GANANCIAS, YA SEA EN UNA ACCIN DE CONTRATO, NEGLIGENCIA U OTRA 
 * ACCIN TORTUORIA, RESULTANTE DE O EN CONEXIN CON EL USO O DESEMPEO DE
 * ESTE SOFTWARE.
 *
 * Excepto que se incluya en ste aviso, no se debe usar el nombre de ningn 
 * titular de Derechos de autor o Copyright en publicidad o de otra manera 
 * psra promover la venta, uso u otros tratos en este Software sin previa 
 * autorizacin por escrito del titular de Derechos de autor o Copyright.
 * --TERMINA LICENCIA----------------------------------------------------------
 *
 * --BEGIN LICENSE IN US ENGLISH-----------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, and/or sell copies of the Software, and to permit persons
 * to whom the Software is furnished to do so, provided that the above
 * copyright and "Derechos reservados" notices and this permission notice  
 * (in spanish and english) appear in all copies of the Software and that both 
 * the above copyright and "Derechos reservados" notices and this permission 
 * notice (in spanish and english) appear in supporting documentation.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
 * OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT AND "DERECHOS DE 
 * AUTOR" HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR 
 * ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER 
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF 
 * CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * Except as contained in this notice, the name of a copyright or "Derechos de
 * autor" holder shall not be used in advertising or otherwise to promote the
 * sale, use or other dealings in this Software without prior written 
 * authorization of the copyright or "Derechos de autor" holder.
 * --END LICENSE---------------------------------------------------------------
 */
 
# Changelog:
#2003-02-04 Sandino Araico Snchez - Galeras II defaults
#2003-02-05 Sandino Araico Snchez - Thumbnails defaults

if(!defined('__GAL_DEFAULTS'))
{
define('__GAL_DEFAULTS',1);
// auto config
if(!defined('__GAL_PHOTO_DIR')) define('__GAL_PHOTO_DIR', dirname($SCRIPT_FILENAME));
if(!defined('__GAL_WEB_PHOTO_DIR')) define('__GAL_WEB_PHOTO_DIR', dirname($SCRIPT_NAME));
if(!defined('__GAL_CONVERT')) define('__GAL_CONVERT','convert');
if(!defined('__GAL_DUMPMPEG')) define('__GAL_DUMPMPEG', 'dumpmpeg');
if(!defined('__GAL_MPGINFO')) define('__GAL_MPGINFO', 'mpginfo');
if(!defined('__GAL_MPEG_FRAME_FREQ')) define('__GAL_MPEG_FRAME_FREQ', 30);
if(!defined('__GAL_ANIM_DELAY')) define('__GAL_ANIM_DELAY', 100);

if(defined('__GAL_BIG')) {
	define('__GAL_TABLE_COLS', 1);
	define('__GAL_TABLE_ROWS', 1);
	define('__GAL_TABLE_AREA', 1);
} else {
	if(!defined('__GAL_COLS')) define('__GAL_TABLE_COLS', 4);
	else define('__GAL_TABLE_COLS', __GAL_COLS);
	if(!defined('__GAL_ROWS')) define('__GAL_TABLE_ROWS', 128);
	else define('__GAL_TABLE_ROWS', __GAL_ROWS);
	define('__GAL_TABLE_AREA', __GAL_TABLE_COLS*__GAL_TABLE_ROWS);
}

if(!defined('__GAL_THUMB_WIDTH'))
{
	if(defined('__GAL_BIG')) {
		if(defined('__GAL_BIG_WIDTH'))
			define('__GAL_THUMB_WIDTH',__GAL_BIG_WIDTH);	
		else
			define('__GAL_THUMB_WIDTH',600);
	} else {
		if(defined('__GAL_SMALL_WIDTH'))
			define('__GAL_THUMB_WIDTH',__GAL_SMALL_WIDTH);	
		else
			define('__GAL_THUMB_WIDTH',60);
	}
}
if(!defined('__GAL_THUMB_HEIGHT'))
{
	if(defined('__GAL_BIG')) {
		if(defined('__GAL_BIG_HEIGHT'))
			define('__GAL_THUMB_HEIGHT',__GAL_BIG_HEIGHT);	
		else
			define('__GAL_THUMB_HEIGHT',450);
	} else {
		if(defined('__GAL_SMALL_HEIGHT'))
			define('__GAL_THUMB_HEIGHT',__GAL_SMALL_HEIGHT);	
		else
			define('__GAL_THUMB_HEIGHT',45);
	}
}

if(!defined('__GAL_THUMBS_DIR'))
{
	$THUMBS_DIR=__GAL_PHOTO_DIR.(ereg('/$',__GAL_PHOTO_DIR)?'':'/').__GAL_THUMB_WIDTH.'x'.__GAL_THUMB_HEIGHT.'/';
	#s_log("THUMBS_DIR: $THUMBS_DIR");
	define('__GAL_THUMBS_DIR',$THUMBS_DIR);
}

if(!defined('__GAL_THUMB_APP')) define('__GAL_THUMB_SCRIPT','gal-thumbs.php');

if(!defined('__GAL_TEMPLATE_PREFIX')) define('__GAL_TEMPLATE_PREFIX','dmi');
if(!defined('__GAL_TEMPLATE_DATE_FORMAT')) define('__GAL_TEMPLATE_DATE_FORMAT','Y-m-d');

if(!defined('__GAL_NAV_SHOW_EDGES')) define('__GAL_NAV_SHOW_EDGES',0);
if(!defined('__GAL_NAV_SORT_FIELD')) define('__GAL_NAV_SORT_FIELD','CTIME'); 
if(!defined('__GAL_NAV_SORT_INVERSE')) define('__GAL_NAV_SORT_INVERSE','1'); 
if(!defined('__GAL_NAV_SORT_FLAGS')) define('__GAL_NAV_SORT_FLAGS',SORT_NUMERIC);// [SORT_REGULAR | SORT_NUMERIC | SORT_STRING]

if(!defined('__GAL_CACHE_TTL')) define('__GAL_CACHE_TTL', 600); // 10 min
} // __GAL_DEFAULTS
?>
